Loading...
Searching...
No Matches
Crapup Class Reference

Crapup. More...

`#include <crapup.h>`

Inheritance diagram for Crapup:

## Signals

void | abortRequest ()
| Emitted to abort an on-going request.

## Public Member Functions

| Crapup (const int &window_theme_id, const QString &icons_theme, QWidget *parent=nullptr)
| Class constructor. More...
void | versionCheck (const float &current_version)
| Performs a version check. More...

## Private Slots

void | closeEvent (QCloseEvent *event) override
| Override.
void | requestTimeout ()
| Called when a request's times out. More...
void | rotateImg ()
| Rotates the 'checking' image.

## Private Member Functions

void | deleteReply ()
| Deletes the reply in a safe way.

## Detailed Description

Crapup.

## Constructor & Destructor Documentation

## Crapup()

Crapup::Crapup | ( | const int & | window_theme_id,
|  | const QString & | icons_theme,
|  | QWidget * | parent = `nullptr`
| ) |  |

Class constructor.

Parameters

  window_theme_id | The ID of the window theme
  icons | theme The theme of the icons
  parent | The parent Widget

## Member Function Documentation

## requestTimeout

void Crapup::requestTimeout | ( |  | ) |

privateslot

Called when a request's times out.

See also
  deleteReply(), abortRequest()

## versionCheck()

void Crapup::versionCheck | ( | const float & | current_version | ) |

Performs a version check.

Parameters

  current_version | The running version of LogDoctor

Exceptions

  GenericException |

The documentation for this class was generated from the following files:

- logdoctor/modules/crapup/crapup.h
- logdoctor/modules/crapup/crapup.cpp